<template>
  <div
    class="item"
    @click="$router.push({ name: routeTo, params: { id: task.id } })"
  >
    <b-row class="bloc-row">
      <b-col>
        <b-row class="top-row">
          <b-col cols="6" style="padding: 0 37px;">
            {{ task.backend_object ? task.backend_object._model : '' }}
          </b-col>
          <b-col
            cols="6"
            :style="{
              color: task.state === 'FAILURE' ? 'red' : task.state === 'SUCCESS' ? 'green' : '#187CC6',
              padding: '0 25px !important'
            }"
          >
            {{ task.state }}
          </b-col>
        </b-row>
        <b-row class="bottom-row">
          <b-col cols="6">
            Date de début<br>
            {{
              new Date(task.creation_date).toLocaleString('fr-FR', {
                year: "numeric",
                month: "short",
                day: "numeric",
                hour: '2-digit',
                minute: "2-digit",
                second: "2-digit"
              })
            }}
          </b-col>
          <b-col cols="6">
            Date de fin<br>
            {{
              task.stop_date ?
              new Date(task.stop_date).toLocaleString('fr-FR', {
                year: "numeric",
                month: "short",
                day: "numeric",
                hour: '2-digit',
                minute: "2-digit",
                second: "2-digit"
              }) :
              '...'
            }}
          </b-col>
        </b-row>
      </b-col>
      <b-col cols="2" class="arrow-col">
        <b-icon-chevron-right class="h2" scale="1.5" />
      </b-col>
    </b-row>
  </div>
</template>

<script>
export default {
  name: 'DemandesItem',

  props: {
    type: {
      type: String,
      default: ''
    },
    icon: {
      type: String,
      default: ''
    },
    routeTo: {
      type: String,
      default: 'TaskDetail'
    },
    task: {
      type: Object,
      default: () => {
        return {}
      }
    }
  },

  methods: {
    getSvgUrl() {
      const images = require.context('@/assets/icons/', false, /\.svg$/);
      return images(`./${this.icon}.svg`);
    }
  }
}
</script>

<style lang="less" scoped>

.item {
  cursor: pointer;
  height: 6em;
  margin-bottom: 0.5em;
  border-radius: 3px;
  border: 1px solid #A9B2B9;
  box-shadow: 0 0 1px 1px #A9B2B9;
  .bloc-row {
      height: 100%;
  }
  .top-row {
    height: 50%;
    .col-6 {
      height: 100%;
      font-size: 1em;
      font-weight: 600;
      color: rgb(77, 77, 77);
      display: flex;
      align-items: center;
      padding-left: 2rem;
    }
  }
  .bottom-row {
    height: 50%;
    margin-left: 0.5em;
    font-size: 0.9em;
    .email {
      color: rgb(77, 77, 77);
    }
    .date {
      color: rgb(175, 175, 175);
      font-weight: 600;
    }
  }
  .col-4 {
    font-size: 1.2em;
    font-weight: 500;
    display: flex;
    align-items: center;
    margin-left: -0.5em;
  }
  .arrow-col {
    display: flex;
    height: 100%;
    align-items: center;
    color: @blue;
  }
}

.item:hover {
  background-color: whitesmoke;
}

.item.disabled {
  pointer-events: none;
  opacity: 0.5;
}

@media screen and (min-width:1400px) {
  img {
    width: 1.5em;
    height: 1.5em;
    margin-left: 1em;
  }
}
@media screen and (max-width:1400px) {
  img {
    width: 1.5em;
    height: 1.5em;
    margin-left: 1em;
  }
}

img:hover {
  fill: @blue;
}

.b-icon {
  margin: 0;
}

</style>
